Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcmod.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcmod.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcmod.F90	(revision 10968)
@@ -114,5 +114,5 @@
       READ  ( numnam_cfg, namsbc, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namsbc )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namsbc )
       !
 #if defined key_mpp_mpi
@@ -495,5 +495,5 @@
          IF( ln_rstart .AND.    &                               !* Restart: read in restart file
             & iom_varid( numror, 'utau_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp) WRITE(numout,*) '          nit000-1 surface forcing fields red in the restart file'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 surface forcing fields red in the restart file'
             CALL iom_get( numror, jpdom_autoglo, 'utau_b', utau_b, ldxios = lrxios )   ! before i-stress  (U-point)
             CALL iom_get( numror, jpdom_autoglo, 'vtau_b', vtau_b, ldxios = lrxios )   ! before j-stress  (V-point)
@@ -520,8 +520,8 @@
       IF( lrst_oce ) THEN                              !      Write in the ocean restart file     !
          !                                             ! ---------------------------------------- !
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'sbc : ocean surface forcing fields written in ocean restart file ',   &
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) 'sbc : ocean surface forcing fields written in ocean restart file ',   &
             &                    'at it= ', kt,' date= ', ndastp
-         IF(lwp) WRITE(numout,*) '~~~~'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '~~~~'
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'utau_b' , utau, ldxios = lwxios )
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcrnf.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcrnf.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcrnf.F90	(revision 10968)
@@ -146,10 +146,10 @@
          IF( ln_rstart .AND.    &                               !* Restart: read in restart file
             & iom_varid( numror, 'rnf_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp) WRITE(numout,*) '          nit000-1 runoff forcing fields red in the restart file', lrxios
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 runoff forcing fields red in the restart file', lrxios
             CALL iom_get( numror, jpdom_autoglo, 'rnf_b', rnf_b, ldxios = lrxios )     ! before runoff
             CALL iom_get( numror, jpdom_autoglo, 'rnf_hc_b', rnf_tsc_b(:,:,jp_tem), ldxios = lrxios )   ! before heat content of runoff
             CALL iom_get( numror, jpdom_autoglo, 'rnf_sc_b', rnf_tsc_b(:,:,jp_sal), ldxios = lrxios )   ! before salinity content of runoff
          ELSE                                                   !* no restart: set from nit000 values
-            IF(lwp) WRITE(numout,*) '          nit000-1 runoff forcing fields set to nit000'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 runoff forcing fields set to nit000'
             rnf_b    (:,:  ) = rnf    (:,:  )
             rnf_tsc_b(:,:,:) = rnf_tsc(:,:,:)
@@ -159,8 +159,8 @@
       IF( lrst_oce ) THEN                              !      Write in the ocean restart file     !
          !                                             ! ---------------------------------------- !
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'sbcrnf : runoff forcing fields written in ocean restart file ',   &
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) 'sbcrnf : runoff forcing fields written in ocean restart file ',   &
             &                    'at it= ', kt,' date= ', ndastp
-         IF(lwp) WRITE(numout,*) '~~~~'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '~~~~'
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'rnf_b' , rnf, ldxios = lwxios )
@@ -272,5 +272,5 @@
       READ  ( numnam_cfg, namsbc_rnf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_rnf in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc_rnf )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_rnf )
       !
       !                                         ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcssr.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcssr.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcssr.F90	(revision 10968)
@@ -171,5 +171,5 @@
       READ  ( numnam_cfg, namsbc_ssr, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_ssr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc_ssr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_ssr )
 
       IF(lwp) THEN                 !* control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcwave.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcwave.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcwave.F90	(revision 10968)
@@ -402,5 +402,5 @@
       READ  ( numnam_cfg, namsbc_wave, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_wave in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc_wave )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_wave )
       !
       IF( ln_cdgw ) THEN
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/tideini.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/tideini.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/tideini.F90	(revision 10968)
@@ -65,5 +65,5 @@
       READ  ( numnam_cfg, nam_tide, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nam_tide in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nam_tide )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_tide )
       !
       IF( ln_tide ) THEN
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/STO/stopar.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/STO/stopar.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/STO/stopar.F90	(revision 10968)
@@ -268,5 +268,5 @@
       READ  ( numnam_cfg, namsto, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namsto in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsto )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsto )
 
       IF( .NOT.ln_rststo ) THEN   ! no use of stochastic parameterization
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/eosbn2.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/eosbn2.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/eosbn2.F90	(revision 10968)
@@ -1240,5 +1240,5 @@
       READ  ( numnam_cfg, nameos, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nameos in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, nameos )
+      IF(lwm .AND. nprint > 2) WRITE( numond, nameos )
       !
       rau0        = 1026._wp                 !: volumic mass of reference     [kg/m3]
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/traadv.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/traadv.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/traadv.F90	(revision 10968)
@@ -201,5 +201,5 @@
       READ  ( numnam_cfg, namtra_adv, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_adv in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namtra_adv )
+      IF(lwm  .AND. nprint > 2) WRITE( numond, namtra_adv )
       !
       IF(lwp) THEN                           ! Namelist print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/trabbc.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/trabbc.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/trabbc.F90	(revision 10968)
@@ -140,5 +140,5 @@
       READ  ( numnam_cfg, nambbc, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nambbc in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nambbc )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nambbc )
       !
       IF(lwp) THEN                     ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/trabbl.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/trabbl.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/trabbl.F90	(revision 10968)
@@ -490,5 +490,5 @@
       READ  ( numnam_cfg, nambbl, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nambbl in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nambbl )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nambbl )
       !
       l_bbl = .TRUE.                 !* flag to compute bbl coef and transport
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/tradmp.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/tradmp.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/tradmp.F90	(revision 10968)
@@ -184,5 +184,5 @@
       READ  ( numnam_cfg, namtra_dmp, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_dmp in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namtra_dmp )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_dmp )
       !
       IF(lwp) THEN                  ! Namelist print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/tramle.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/tramle.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/tramle.F90	(revision 10968)
@@ -273,5 +273,5 @@
       READ  ( numnam_cfg, namtra_mle, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_mle in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namtra_mle )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_mle )
 
       IF(lwp) THEN                     ! Namelist print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/traqsr.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/traqsr.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/traqsr.F90	(revision 10968)
@@ -135,5 +135,5 @@
 !!gm case neuler  not taken into account....
          IF( ln_rstart .AND. iom_varid( numror, 'qsr_hc_b', ldstop = .FALSE. ) > 0 ) THEN    ! read in restart
-            IF(lwp) WRITE(numout,*) '          nit000-1 qsr tracer content forcing field read in the restart file'
+            IF(lwp .AND. nprint >0) WRITE(numout,*) '          nit000-1 qsr tracer content forcing field read in the restart file'
             z1_2 = 0.5_wp
             CALL iom_get( numror, jpdom_autoglo, 'qsr_hc_b', qsr_hc_b, ldxios = lrxios )   ! before heat content trend due to Qsr flux
@@ -343,5 +343,5 @@
       READ  ( numnam_cfg, namtra_qsr, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_qsr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namtra_qsr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_qsr )
       !
       IF(lwp) THEN                ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/trasbc.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/trasbc.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRA/trasbc.F90	(revision 10968)
@@ -107,5 +107,5 @@
          IF( ln_rstart .AND.    &               ! Restart: read in restart file
               & iom_varid( numror, 'sbc_hc_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp) WRITE(numout,*) '          nit000-1 sbc tracer content field read in the restart file'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 sbc tracer content field read in the restart file'
             zfact = 0.5_wp
             sbc_tsc(:,:,:) = 0._wp
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRD/trdini.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRD/trdini.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRD/trdini.F90	(revision 10968)
@@ -53,5 +53,5 @@
       READ  ( numnam_cfg, namtrd, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtrd in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namtrd )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namtrd )
       !
       IF(lwp) THEN                  ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRD/trdmxl.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRD/trdmxl.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/TRD/trdmxl.F90	(revision 10968)
@@ -739,5 +739,5 @@
       READ  ( numnam_cfg, namtrd_mxl, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtrd_mxl in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namtrd_mxl )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namtrd_mxl )
       !
       IF(lwp) THEN                      ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/USR/usrdef_hgr.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/USR/usrdef_hgr.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/USR/usrdef_hgr.F90	(revision 10968)
@@ -107,5 +107,5 @@
          CALL ctl_warn( ' GYRE used as Benchmark: e1=e2=106km, no need to adjust rdt, ahm,aht ' )
       ENDIF
-      IF( nprint==1 .AND. lwp )   THEN
+      IF( nprint > 3 .AND. lwp )   THEN
          WRITE(numout,*) 'ze1', ze1, 'cosalpha', zcos_alpha, 'sinalpha', zsin_alpha
          WRITE(numout,*) 'ze1deg', ze1deg, 'zlam0', zlam0, 'zphi0', zphi0
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfdrg.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfdrg.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfdrg.F90	(revision 10968)
@@ -242,5 +242,5 @@
       READ  ( numnam_cfg, namdrg, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam( ios , 'namdrg in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namdrg )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdrg )
       !
       IF(lwp) THEN
@@ -343,6 +343,6 @@
       IF(ll_bot)   READ  ( numnam_cfg, namdrg_bot, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam( ios , TRIM(cl_namcfg), lwp )
-      IF(lwm .AND. ll_top)   WRITE ( numond, namdrg_top )
-      IF(lwm .AND. ll_bot)   WRITE ( numond, namdrg_bot )
+      IF(lwm .AND. ll_top .AND. nprint > 2)   WRITE ( numond, namdrg_top )
+      IF(lwm .AND. ll_bot .AND. nprint > 2)   WRITE ( numond, namdrg_bot )
       !
       IF(lwp) THEN
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfgls.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfgls.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfgls.F90	(revision 10968)
@@ -864,5 +864,5 @@
       READ  ( numnam_cfg, namzdf_gls, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namzdf_gls in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_gls )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_gls )
 
       IF(lwp) THEN                     !* Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfiwm.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfiwm.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfiwm.F90	(revision 10968)
@@ -429,5 +429,5 @@
       READ  ( numnam_cfg, namzdf_iwm, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namzdf_iwm in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_iwm )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_iwm )
       !
       IF(lwp) THEN                  ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfosm.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfosm.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfosm.F90	(revision 10968)
@@ -1391,5 +1391,5 @@
      READ  ( numnam_cfg, namzdf_osm, IOSTAT = ios, ERR = 902 )
 902  IF( ios >  0 ) CALL ctl_nam ( ios , 'namzdf_osm in configuration namelist', lwp )
-     IF(lwm) WRITE ( numond, namzdf_osm )
+     IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_osm )
 
      IF(lwp) THEN                    ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfphy.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfphy.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfphy.F90	(revision 10968)
@@ -98,5 +98,5 @@
       READ  ( numnam_cfg, namzdf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namzdf in configuration namelist', lwp )
-      IF(lwm)   WRITE ( numond, namzdf )
+      IF(lwm .AND. nprint > 2)   WRITE ( numond, namzdf )
       !
       IF(lwp) THEN                      ! Parameter print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfric.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfric.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdfric.F90	(revision 10968)
@@ -85,5 +85,5 @@
       READ  ( numnam_cfg, namzdf_ric, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namzdf_ric in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_ric )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_ric )
       !
       IF(lwp) THEN                   ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdftke.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdftke.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ZDF/zdftke.F90	(revision 10968)
@@ -663,5 +663,5 @@
       READ  ( numnam_cfg, namzdf_tke, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namzdf_tke in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_tke )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_tke )
       !
       ri_cri   = 2._wp    / ( 2._wp + rn_ediss / rn_ediff )   ! resulting critical Richardson number
@@ -797,5 +797,5 @@
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
          !                                   ! -------------------
-         IF(lwp) WRITE(numout,*) '---- tke_rst ----'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '---- tke_rst ----'
          IF( lwxios ) CALL iom_swap(      cwxios_context          ) 
          CALL iom_rstput( kt, nitrst, numrow, 'en'   , en   , ldxios = lwxios )
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/nemogcm.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/nemogcm.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/nemogcm.F90	(revision 10968)
@@ -100,4 +100,6 @@
    PUBLIC   nemo_alloc  ! needed by TAM
 
+   CHARACTER(lc) ::   cform_start="( /, 'Start run', / ) "     ! flag for output listing
+   CHARACTER(lc) ::   cform_end="( /, 'End run', / ) "     ! flag for output listing
    CHARACTER(lc) ::   cform_aaa="( /, 'AAAAAAAA', / ) "     ! flag for output listing
 
@@ -150,5 +152,5 @@
       CALL mpp_max( 'nemogcm', nstop )
 
-      IF(lwp) WRITE(numout,cform_aaa)   ! Flag AAAAAAA
+      IF(lwp) WRITE(numout, cform_start)   ! Flag AAAAAAA
 
       !                            !-----------------------!
@@ -217,5 +219,5 @@
       !                            !==  finalize the run  ==!
       !                            !------------------------!
-      IF(lwp) WRITE(numout,cform_aaa)        ! Flag AAAAAAA
+      IF(lwp) WRITE(numout, cform_end)        ! Flag AAAAAAA
       !
       IF( nstop /= 0 .AND. lwp ) THEN        ! error print
@@ -295,4 +297,5 @@
          CALL usr_def_nam( cltxt2, clnam, cn_cfg, nn_cfg, jpiglo, jpjglo, jpkglo, jperio )
       ENDIF
+      nprint    = nn_print          ! convert DOCTOR namelist names into OLD names
       !
       !
@@ -343,5 +346,5 @@
       lwp = (narea == 1) .OR. ln_ctl                        ! control of all listing output print
 
-      IF(lwm) THEN               ! write merged namelists from earlier to output namelist 
+      IF(lwm .AND. nprint > 2) THEN               ! write merged namelists from earlier to output namelist 
          !                       ! now that the file has been opened in call to mynode. 
          !                       ! NB: nammpp has already been written in mynode (if lk_mpp_mpi)
@@ -389,5 +392,5 @@
          END DO
          !
-         WRITE(numout,cform_aaa)                                        ! Flag AAAAAAA
+         IF(nprint > 1) WRITE(numout,cform_aaa)                                        ! Flag AAAAAAA
          !
       ENDIF
@@ -494,5 +497,5 @@
       IF( lk_asminc    )   CALL asm_inc_init    ! Initialize assimilation increments
       !
-      IF(lwp) WRITE(numout,cform_aaa)           ! Flag AAAAAAA
+      IF(lwp .AND. nprint > 1) WRITE(numout,cform_aaa)           ! Flag AAAAAAA
       !
       IF( ln_timing    )   CALL timing_stop( 'nemo_init')
@@ -538,5 +541,4 @@
       ENDIF
       !
-      nprint    = nn_print          ! convert DOCTOR namelist names into OLD names
       nictls    = nn_ictls
       nictle    = nn_ictle
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/step.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/step.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/step.F90	(revision 10968)
@@ -307,5 +307,5 @@
       IF( kstp == nit000 ) THEN                          ! 1st time step only
                                         CALL iom_close( numror )   ! close input  ocean restart file
-         IF(lwm)                        CALL FLUSH    ( numond )   ! flush output namelist oce
+         IF(lwm .AND. numond /= -1 )    CALL FLUSH    ( numond )   ! flush output namelist oce
          IF(lwm .AND. numoni /= -1 )    CALL FLUSH    ( numoni )   ! flush output namelist ice (if exist)
       ENDIF
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/timing.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/timing.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/timing.F90	(revision 10968)
@@ -373,5 +373,5 @@
       CALL MPI_GATHER( (/compute_time, waiting_time(1), waiting_time(2), elapsed_time/),   &
          &             4, MPI_DOUBLE_PRECISION, timing_glob, 4, MPI_DOUBLE_PRECISION, 0, MPI_COMM_OCE, icode)
-      IF( narea == 1 ) THEN
+      IF( narea == 1 .AND. nprint > 1) THEN
          WRITE(numtime,*) ' '
          WRITE(numtime,*) ' Report on time spent on waiting MPI messages '
